Đến nội dung


Hình ảnh

[Yêu cầu] Đặt chiều cao text, mtext và chỉnh Linetype scale ?


  • Please log in to reply
35 replies to this topic

#21 bkhn_2011

bkhn_2011

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 29 December 2011 - 11:05 AM

Anh ketxu cho em hỏi chút nữa. Vì em hơi chậm hiểu, người khác thì chắc hiểu được rồi nhưng em là lính mới nên hơi chậm hiểu. Thực ra em thấy mọi người bảo mới tập thì không nên lisp, hay lép làm cái gì, tập cơ bản trước đi. Nhưng em thấy mấy cái lisp này hay quá nên mong các anh chiếu cố khai sáng hộ em.
Vấn đề anh nói em vẫn chưa vỡ ra được: vứt file lisp vào thư mục không dấu (thư mục không dấu là thư mục gì hả anh. Và hoặc có dấu nhưng không dùng unicode là thế nào ạ. Mà lisp nó không chơi với Unicode thì nó chơi với cái gì ạ. Cái file em down về không dùng Unicode thì nó dùng cái gì ah. Cảm ơn anh
  • 0

#22 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 29 December 2011 - 11:17 AM

Nếu bạn chưa hiểu thư mục không dấu là gì thì bỏ qua những câu hỏi sau nhé ^^ Cứ từ từ đã bạn ạ
Thư mục = Folder
Thư mục không dấu tức là bạn đừng đặt tên nó có dấu tiếng Việt nữa.
Không dấu : a d e i o u y ...
Có dấu : â á ẩ ã à ạ đ ê é ẹ ẽ è ẻ...

Theo như thông báo của bạn thì file lisp bạn đặt trong đường dẫn

D:/Pham Thanh Hai/Điện-Điện/LISP/htt-chiều cao mtext.lsp

=> bạn sửa tên thư mục Điện-Điện thành Dien-Dien hoặc Dien-KhongDien ... gì gì đó tùy bạn chọn
- File lisp bạn đang để là

htt-chiều cao mtext.lsp

thì hãy sửa thành htt-mtext Heigth.lsp... hoặc gì gì đó tùy bạn.
Miễn là đừng cẩn thận đánh tên tiếng việt vào.
File lisp dùng ANSI
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#23 tymap

tymap

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 December 2011 - 11:42 AM

Các anh cho em hỏi, sẵn cái lisp Linetype scale ở trên. Em mong muốn là có thể chỉnh Linetype scale của toàn bản vẽ theo hệ số nhân (tức là toàn bộ linetype scale của các đối tượng sẽ tăng lên 2 lần hoặc n lần) cái này khác với chỉnh globle scale (lệnh "lts"). Cái này em hay bị trong trường hợp xref bản vẽ kiến trúc vào bản vẽ kỹ thuật tạo sẵn của em (các chi tiết block, nét....). mỗi lần như vậy là em lại phải ngồi chỉnh lại tỉ lệ nét của mình (thường là nét của em chỉnh theo globle scale = 1) hoặc là của kiến trúc rất mất thời gian và nhức đầu. Mong các anh giúp em.

Anh ketxu có thể giúp em cái lisp này không ạ.
  • 0

#24 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 29 December 2011 - 12:05 PM

Anh ketxu có thể giúp em cái lisp này không ạ.


(defun C:test (/)
(cond
((ssget "X" (list (cons 0 "*LINE,ARC,CIRCLE,HATCH")))
(vl-load-com)
(or #n (setq #n 1))
(setq #n (cond ((getdist (strcat "\nHe so nhan Linetype Scale <" (vl-princ-to-string #n) ">: ")))(#n)))
(vlax-for obj (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object)))
(vla-put-LinetypeScale obj (* (vla-get-LinetypeScale obj) #n))
)))
(princ))
Mình viết rất vội, chưa test lần nào, bạn cứ test nhé ( ăn thôi ^^)
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#25 tymap

tymap

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 December 2011 - 12:38 PM

Cám ơn sự tận tình của anh.
  • 0

#26 tymap

tymap

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 December 2011 - 12:55 PM

Cám ơn sự tận tình của anh.

em đã sử dụng và thấy rất tốt, đỡ rất nhiều công sức.Tuy nhiên các đường trục trong block thi ko thay đổi, vào block edit em lai ko dùng đc lisp của anh. Không biết có cách nào khắc phục được ko anh.
  • 0

#27 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 29 December 2011 - 03:00 PM

em đã sử dụng và thấy rất tốt, đỡ rất nhiều công sức.Tuy nhiên các đường trục trong block thi ko thay đổi, vào block edit em lai ko dùng đc lisp của anh. Không biết có cách nào khắc phục được ko anh.


Có. Chỉ là duyệt qua các Block thôi :) Hiện tại mình hơi bận, nên có lẽ chờ các bác khác update nhanh giúp bạn
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#28 bkhn_2011

bkhn_2011

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 29 December 2011 - 05:37 PM

Em đã làm theo anh Ketxu hướng dẫn và làm được rồi. Rất cảm ơn anh. Mong anh tiếp tục nhiệt tình giúp đỡ những anh em trong diễn đàn còn ít kinh nghiệm. Anh có sdt không? Có gì liên lạc hôm nào anh em đi uống nước.
  • 0

#29 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 29 December 2011 - 08:48 PM

Em đã làm theo anh Ketxu hướng dẫn và làm được rồi. Rất cảm ơn anh. Mong anh tiếp tục nhiệt tình giúp đỡ những anh em trong diễn đàn còn ít kinh nghiệm. Anh có sdt không? Có gì liên lạc hôm nào anh em đi uống nước.

Vì có nhiều lần chờ nước bất thành nên cũng k mong gì ^^ Mình ở HN, bạn ở đây thì lúc nào ới mình trà đá là vui lắm r.
Pm YH bạn ạ, mình phục cả ngày ý mà ^^

@tymap : mình vừa phải xóa 1 topic bạn mở thêm để hỏi về vấn đề ở topic này. K hay chút nào bạn ạ.
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#30 tymap

tymap

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 December 2011 - 04:59 PM

Vì có nhiều lần chờ nước bất thành nên cũng k mong gì ^^ Mình ở HN, bạn ở đây thì lúc nào ới mình trà đá là vui lắm r.
Pm YH bạn ạ, mình phục cả ngày ý mà ^^

@tymap : mình vừa phải xóa 1 topic bạn mở thêm để hỏi về vấn đề ở topic này. K hay chút nào bạn ạ.


@ketxu : em xin lỗi vì làm anh mất công, vì anh bảo em anh đang bận để các bạn khác update dùm nên mới mở topic hỏi nhờ giúp đỡ. Em xin rút kinh nghiệm.
  • 0

#31 bkhn_2011

bkhn_2011

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 03 January 2012 - 11:40 PM

Vì có nhiều lần chờ nước bất thành nên cũng k mong gì ^^ Mình ở HN, bạn ở đây thì lúc nào ới mình trà đá là vui lắm r.
Pm YH bạn ạ, mình phục cả ngày ý mà ^^

@tymap : mình vừa phải xóa 1 topic bạn mở thêm để hỏi về vấn đề ở topic này. K hay chút nào bạn ạ.

Chờ nước bất thành ư. Làm gì có đâu mà anh. Số của em đây, nếu là anh Ketxu thật thì pm em nhé. 01664399479. Em ở gần BK
  • 0

#32 tymap

tymap

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 January 2012 - 01:58 PM

Có bạn nào giúp mình sửa cái lisp trên cho nó tác dụng với các đối tượng nằm trong block được ko ah. Mình xin cảm ơn. :cry:
  • 0

#33 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 05 January 2012 - 02:02 PM

Vào Block Editor sử dụng lại lệnh được bạn ạ, đã test
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#34 tymap

tymap

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 January 2012 - 02:16 PM

Cám ơn anh ketxu nhiều lắm. Hôm trước vào Block edit đánh lệnh ko được, hôm nay vẫn vậy nó báo như thê này khi em điền hệ số mới vào:

He so nhan Linetype Scale <5.0>: 5
*Cancel*
Automation Error. Calling method Clear of interface IAcadSelectionSet failed
Command: *Cancel*

PS: Cái này em giống được voi đòi hai ba trưng, Nhưng các bạn nào hảo tâm thì giúp em làm cho lisp tác động vào các đối tượng trong block luôn 1 thể. Lisp trên đã giúp em chỉnh sửa bản vẽ kiến trúc tương đối nhanh. Tuy nhiên gặp các bản vẽ kiến trúc nào có nhiều block ( cao ốc có nhiều block căn hộ mẫu, block lõi thang, thang máy, vật dụng .......) thì vào từng block chỉnh hơi đuối....
Một lần nữa xin cảm ơn diễn đàn.
  • 0

#35 tymap

tymap

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 January 2012 - 10:01 AM

@Anh ketxu : anh xem lại giúp em
Vào Block edit em đánh lệnh được, nhưng nó báo như thê này khi em điền hệ số mới vào:

He so nhan Linetype Scale <5.0>: 5
*Cancel*
Automation Error. Calling method Clear of interface IAcadSelectionSet failed
Command: *Cancel*

Các bạn nào hảo tâm thì giúp em làm cho lisp tác động vào các đối tượng trong block luôn 1 thể. Lisp trên đã giúp em chỉnh sửa bản vẽ kiến trúc tương đối nhanh. Tuy nhiên gặp các bản vẽ kiến trúc nào có nhiều block ( cao ốc có nhiều block căn hộ mẫu, block lõi thang, thang máy, vật dụng .......) thì vào từng block chỉnh hơi đuối....
Một lần nữa xin cảm ơn diễn đàn.
  • 0

#36 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 07 January 2012 - 07:32 PM

Tại sao bạn phải post đi post lại cái lisp mà mình viết trong chính topic này vậy ??
Bạn vui lòng xóa đi
Vấn đề của bạn lúc nào rỗi mình sẽ edit, tuy nhiên, bạn cũng phải biết là làm như thế thì có khả năng bạn không thể kiểm soát được tình hình
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC